> For the complete documentation index, see [llms.txt](https://docs.rosswap.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.rosswap.com/zh/economicmodel/roselle.md).

# Roselle经济模型

## 启目录

### 简介&#x20;

Roselle是RosSwap以及NFT交易市场的平台token，是具备产品支撑的价值token

### 由来

通过多种质押物开采完成&#x20;

**• Wfon-Usdt LP 质押开采**

**• NFT 质押开采**&#x20;

**• NFTs 质押开采**&#x20;

**• Wfon原生币 质押开采**

### 总量

**210万枚** 挖矿周期：5184000 区块开采结束

### 机制费率细则

交易费率：[Roselle合约](https://fonscan.io/token/0xf75f541F2B12F5647DeEa400957E1B8f7388a390?tab=contract)已开源，最大上限费率为10%（非无限）

合约开源代码行1363-1375行，代码处明确  value <= 10

````
```sol
 function setBaseFees(uint256 value) external onlyOwner {
        require(value <= 10, "max base fee is 10");
        baseFees = value;
    }

    function setBuyFee(uint256 value) external onlyOwner {
        require(value <= 10, "max fee is 10");
        buyFees = value;
    }

    function setSellFee(uint256 value) external onlyOwner {
        require(value <= 10, "max fee is 10");
        sellFees = value;
```
````

**流动性（**[**WFON-Roselle**](https://fonscan.io/address/0xD589fCEb5DDF006657731BE6Dce315604085b530)**）**

**• 买入费率：5% • 卖出费率：5%**&#x20;

**流动性（**[**Roselle-USDT**](https://fonscan.io/address/0xB445D9BC539778CD73C40b37360F7F241a673261)**）**

**• 买入费率：5% • 卖出费率：5%**&#x20;

**• Roselle转账费率：5%**

### 发放条件&#x20;

产生的费率会先进入到 Roselle代币合约暂存&#x20;

当累计完成10枚Roselle会被合约自动执行&#x20;

**• 37%的Roselle流动性兑换为WFON**&#x20;

**• 62%的Roselle将会被燃烧 （** [**燃烧通缩地址查看**](https://fonscan.io/token/0xf75f541F2B12F5647DeEa400957E1B8f7388a390/token-holders) **）**

**• 1%的Roselle将会添加至Roselle-Fon流动池**

### Roselle产生交易奖励分配方式&#x20;

奖励分配比例：60%用于分配到市场，40%将转入黑洞来销毁FON

60%的奖励，将会累计之（交易空投活动中）以交易空投的方式进行分配

### 生态发展

生态发展基金 23%生态将更好的运营和建设Roselle

### 注意事项

* [x] 参与**Roselle生态质押是自由的，你可以随时取回您质押的资产**
* [x] **自动注入流动性，默认是注入自动注入到WFON-Roselle的流动性**
* [x] **如果您需要移除WFON-Roselle，建议您选择移除切换下WFON窗口，避免二次产生费率**

### 风险提示：

交易虚拟资产及虚拟资产衍生品，价格波动较大，风险较大。 请在参与前充分了解所有风险并谨慎决策。

团队将保留随时全权酌情因任何理由修改、变更或取消此内容的权利，无需事先通知。以上信息内容仅供参考。


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.rosswap.com/zh/economicmodel/roselle.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
